Unable to resolved 'com.cometchat:pro-android-chat-sdk:2.3.2' this dependencies

Hello Team,

I am working on to implement CometChat SDK in our Android Application.

We are referring to the document from the below link :

Please note that while initialize the “init” method I notice that dependencies not get resolved.

Could not resolve com.cometchat:pro-android-chat-sdk:2.3.2

For your reference the below my code are as follow : -

CometChat.init(this, appID, new CometChat.CallbackListener() {
@Override
public void onSuccess(String successMessage) {
Log.d(TAG, “Initialization completed successfully”);
}
@Override
public void onError(CometChatException e) {
Log.d(TAG, "Initialization failed with exception: " + e.getMessage());
}
});

compileSdkVersion 29
buildToolsVersion "29.0.3"

minSdkVersion 21
targetSdkVersion 29

implementation 'com.cometchat:pro-android-chat-sdk:2.3.2’

Request you to look into the same and give a resolution for the error.

Looking forward to your response !!

Thanks & Regards

Hi,

Can you please check and confirm that you have added below code snippet in build.gradle(project level).

allprojects {
  repositories {
        maven {
            url "https://dl.cloudsmith.io/public/cometchat/cometchat-pro-android/maven/"
    }
  }
}

Also, please check below documentation link for reference.

2 Likes

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.